Sisimai::RFC3464::ThirdParty(3pm)

NAME
Sisimai::RFC3464::ThirdParty - bounce mail decoder class for a bounce mail which have fields defined in RFC3464 and some fields begin with "X-"

SYNOPSIS
    use Sisimai::RFC3464::ThirdParty;

DESCRIPTION
"Sisimai::RFC3464::ThirdParty" is a class which called from called from only "Sisimai::RFC3464" when the bounce message have a field which begins with "X-" such as "X-PowerMTA-BounceCategory:"

CLASS METHODS

  "is3rdparty()"
is3rdparty() method returns true when the argument is a supported "X-" field

    print Sisimai::RFC3464->is3rdparty();

  "inquire(header data, reference to body string)"
inquire() method method decodes a bounced email and return results as an array reference. See "Sisimai::Message" for more details.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2024,2025 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.